#include <math.h>
#include "point.h"
#include "distance.h"

double distance(struct point2d *p1, struct point2d *p2) {
  return sqrt(distancesquared(p1, p2)) ;
}

double distancesquared(struct point2d *p1, struct point2d *p2) {
  double deltaX = p1->X - p2->X ;
  double deltaY = p1->Y - p2->Y ;
  return deltaX*deltaX + deltaY*deltaY ;
}
