#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#include "point.h"
#include "distance.h"

int main(int argc, char **argv) {
  struct point2d p1 ;
  struct point2d p2 ;
  int rc, i ;
  double dst ;

  fputs("Enter X co-ordinate for object: ", stdout) ;
  fflush(stdout) ;

  rc = scanf("%lf", &p1.X) ;
  if (rc != 1) {
    fputs("Failure reading input.\n", stderr) ;
    exit(1) ;
  }
  
  /* for now assume p1.Y is zero */
  p1.Y = 0.0 ;

  fprintf(stdout, "P1 = (%10.4f, %10.4f)\n\n", p1.X, p1.Y) ;

  for (i=0; i<=10; ++i) {
    p2.X = i ;
    p2.Y = i ;
    fprintf(stdout, "P2 = (%10.4f, %10.4f)", p2.X, p2.Y) ;
    dst = distance(&p1, &p2) ;
    fprintf(stdout, "    delta(P1, P2) = %10.4f\n", dst) ;
  }

  return 0 ;
}
